<input #searchBox id="search-box" (keyup)="search(searchBox.value)" placeholder="Search"/>
<div>
  <div *ngFor="let hero of heroes | async"
        (click)="gotoDetail(hero)" class="search-result" >
    {{hero.name}}
  </div>
</div>
